﻿/****************************************************************************************************************************
 ***                                ABAIXO ESTÃO LOCADAS AS CLASES CSS DE ESTIIZAÇÃO                                      ***
 ****************************************************************************************************************************/


/*  ===========================================
   |            VARIAVEIS DE AMBIENTE          |
    ===========================================  */

:root {
    --Cor-Principal: #3F7F48;
}


/*  ===========================================
   |        CLASSES DE ESCOPO GLOBAL           |
    ===========================================  */

.PksGlobal_MudText-negrito {
    font-weight: bold !important;
}

.PksGlobal_MudText-cor_principal {
    color: var(--Cor-Principal) !important;
}

.PksGlobal_MudText-titulo {
    font-size: 1.5rem !important;
    text-transform: uppercase !important;
    color: var(--Cor-Principal) !important;
    font-style: italic;
    font-weight: 500 !important
}

.PksGlobal_MudGrid-botoes {
    min-height: 0;
    flex: 1;
}

.PksGlobal_LarguraMaxima {
    width: 100% !important;
}


/*  ===========================================
   | PÁGINA: Pagamento.razor                     |
    ===========================================  */

.PksPagamento_MudContainer-principal {
    height: 100dvh !important;
    padding: 0 !important;
    display: flex !important;
    flex-direction: column !important;
    overflow: hidden !important;
}

.PksPagamento_MudPaper-novo_cadastro, .PksPagamento_MudPaper-cartao {
    cursor: pointer;
    min-height: 3rem !important;
}

    .PksPagamento_MudPaper-novo_cadastro:hover, .PksPagamento_MudPaper-cartao:hover {
        border: 2px dashed var(--Cor-Principal);
    }

.PksPagamento_MudPaper-cartao_selecionado {
    border: 2px solid var(--Cor-Principal) !important;
}

.PksPagamento_MudIcon-novo_cadastro, .PksPagamento_MudText-novo_cadastro {
    color: var(--Cor-Principal) !important;
}

.PksPagamento_MudStack-container_cartao {
    max-height: 58dvh;
    overflow-y: auto;
}

.PksPagamento_MudButton-botao_pagamento {
    background-color: var(--Cor-Principal) !important;
    color: #FFF !important;
}

    .PksPagamento_MudButton-botao_pagamento:hover {
        background: #37862E;
    }

.PksPagamento_MudStack-sem_cadastro {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%;
    width: 100%;
}

.PksPagamento_MudStack-cartao {
    width: 100%;
}


/*  ===========================================
   | DIALOG: DialogAviso.razor                  |
    ===========================================  */

.PksDialogAviso_MudOverlay .mud-overlay-content {
    width: 30rem !important;
    max-width: 85% !important;
    height: 15rem !important;
    background: #FFF !important;
    border-radius: 1.25rem !important;
}

.PksDialogAviso_MudStack-principal {
    padding: 1rem 0rem !important;
    height: 100% !important;
}

.PksDialogAviso_MudButton {
    width: 9rem !important;
}


/*  ===========================================
   |     DIALOG: DialogConfirmacao.razor       |
    ===========================================  */

.PksDialogConfirmacao_DialogContent {
    width: 30rem !important;
    max-width: 85% !important;
    height: 15rem !important;
    background: #FFF !important;
    border-radius: 1.25rem !important;
}

/*  =================================================================
   | DIALOG: DialogCadastrarNovaFormaPagamento.razor                  |
    ================================================================= */

.PksDialogCadastrarNovaFormaPagamento_DialogContent {
    background-color: #FAFAFA !important;
    height: 100dvh !important;
    padding: 2rem !important;
    display: flex !important;
    flex-direction: column !important;
    overflow: hidden !important;
}

.PksDialogCadastrarNovaFormaPagamento_MudText {
    font-size: 1.2rem !important;
}

.DropShadow:hover {
    background-color: inherit !important;
}

.pks-boxShadow {
    box-shadow: 0 0.25rem 0.5rem rgba(0, 0, 0, 0.1), 0 -0.25rem 0.5rem rgba(0, 0, 0, 0.1), 0.25rem 0 0.5rem rgba(0, 0, 0, 0.1), -0.25rem 0 0.5rem rgba(0, 0, 0, 0.1);
}

.pks-form-box {
    background: #FFF;
    padding: 0;
    box-sizing: border-box;
}

.pks-labelForm {
    margin-bottom: 0.25rem;
    margin-top: 1rem;
}

.pks-labelForm-titulo {
    margin-top: 0px !important;
    font-style: italic;
}

.pks-input-form-item {
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    background: #FFF;
}

.pks-textoBranco {
    color: #FFF !important;
    background: var(--Cor-Principal) !important;
}

.mud-dialog-content{
    padding: 0px 0px !important;
}
